### Function

# Gimp enum_get_value_descriptions

since: 2.2

#### Declaration [src]

    const GimpEnumDesc*
    gimp_enum_get_value_descriptions (
      GType enum_type
    )

#### Description [src]

Retrieves the array of human readable and translatable descriptions and help texts for enum values.

Available since: 2.2

#### Parameters

`enum_type`

  Type: `GType`

  A `GType`.

#### Return value

Type: `GimpEnumDesc`

A `NULL` terminated constant array of `GimpEnumDesc`.

The data is owned by the called function.